Bug 52009 - kde and autofs don't play well together
Summary: kde and autofs don't play well together
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autorun   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-18 13:33 UTC by Chris Ricker
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-01 12:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2001-08-18 13:33:07 UTC
RH ships with autofs shipped configured for automatic mounting of CD-ROMs
(and that should not change -- autofs is the only uniform solution that
works the same no matter what console or windowed environment is being
used)

However, KDE ignores the autofs mounts and mounts inserted CDs as well, so
CDs end up being mounted twice, once on /misc/cd by autofs and once on
/mnt/cdrom by KDE.

Comment 1 Bernhard Rosenkraenzer 2001-08-19 08:33:18 UTC
autorun thing.


Comment 2 Chris Ricker 2001-08-21 06:45:22 UTC
Still true with a fresh install of RC1

Comment 3 Harald Hoyer 2001-08-21 08:30:02 UTC
Cannot be solved easily.. race problem...  or autorun has to know about autofs
handling the cdrom..

Comment 4 Chris Ricker 2001-09-01 12:57:43 UTC
Still true with RC2

Comment 5 Harald Hoyer 2001-09-14 09:41:30 UTC
solution 1: do not start autorun, remove Autorun from Autostart folder
solution 2: remove cdrom from /etc/fstab

Problem cannot be solved without parsing autofs config files and check for 
autofs daemon started.



Note You need to log in before you can comment on or make changes to this bug.